data\pimsdat.db3
.headers on
.mode column
select ' ' as 'Asset Accounts';
select name as 'Account Name', acctno as 'Account Number', type as 'Account Type', alias as 'Alias', debit as 'Debit Amount', credit as 'Credit Amount', balance as 'Account Balance', parent as 'Parent Account'  from pcoa where active like '%yes%' and type like 'asset'order by acctno, name;
select ' ' as 'Summary';
select sum(debit) as 'Debits',sum(credit) as 'Credits', sum(balance) as 'Balance' from pcoa where active like '%yes%' and type like 'asset'order by acctno, name;
.headers off
select '`';
.headers on
select ' ' as 'Equity Accounts';
select name as 'Account Name', acctno as 'Account Number', type as 'Account Type', alias as 'Alias', debit as 'Debit Amount', credit as 'Credit Amount', balance as 'Account Balance', parent as 'Parent Account'  from pcoa where active like '%yes%' and type like 'equity'order by acctno, name;
select ' ' as 'Summary';
select sum(debit) as 'Debits',sum(credit) as 'Credits', sum(balance) as 'Balance' from pcoa where active like '%yes%' and type like 'equity'order by acctno, name;
.headers off
select '`';
.headers on
select ' ' as 'Expense Accounts';
select name as 'Account Name', acctno as 'Account Number', type as 'Account Type', alias as 'Alias', debit as 'Debit Amount', credit as 'Credit Amount', balance as 'Account Balance', parent as 'Parent Account'  from pcoa where active like '%yes%' and type like 'expense'order by acctno, name;
select ' ' as 'Summary';
select sum(debit) as 'Debits',sum(credit) as 'Credits', sum(balance) as 'Balance' from pcoa where active like '%yes%' and type like 'expense'order by acctno, name;
.headers off
select '`';
.headers on
select ' ' as 'Liability Accounts';
select name as 'Account Name', acctno as 'Account Number', type as 'Account Type', alias as 'Alias', debit as 'Debit Amount', credit as 'Credit Amount', balance as 'Account Balance', parent as 'Parent Account'  from pcoa where active like '%yes%' and type like 'liability'order by acctno, name;
select ' ' as 'Summary';
select sum(debit) as 'Debits',sum(credit) as 'Credits', sum(balance) as 'Balance' from pcoa where active like '%yes%' and type like 'liability'order by acctno, name;
.headers off
select '`';
.headers on
select ' ' as 'Revenue Accounts';
select name as 'Account Name', acctno as 'Account Number', type as 'Account Type', alias as 'Alias', debit as 'Debit Amount', credit as 'Credit Amount', balance as 'Account Balance', parent as 'Parent Account'  from pcoa
where active like '%yes%' and type like 'revenue'order by acctno, name;
select ' ' as 'Summary';
select sum(debit) as 'Debits',sum(credit) as 'Credits', sum(balance) as 'Balance' from pcoa where active like '%yes%' and type like 'revenue'order by acctno, name;
.headers off
select '`';
.headers on
select ' ' as 'Final Totals';

select sum(debit) as 'Debits',sum(credit) as 'Credits', sum(balance) as 'Balance' from pcoa where active like '%yes%' order by acctno, name;
.headers off
select '-';
.headers on

.quit

select name as 'Account Name', acctno as 'Account Number', 
type as 'Account Type', alias as 'Alias', debit as 'Debit Amount', 
credit as 'Credit Amount', balance as 'Account Balance', 
parent as 'Parent Account'  from pcoa 
where active like '%yes%' 
order by acctno, name group by 
;