data\pimsdat.db3
.mode column
select NULL;
.headers on
select 'Current Assets' as 'Assets', 'Current Liabilities' as 'Liabilities and Owner''s Equity' ;
.headers off
select '    Cash and Cash Equiv $ ' || sum((select balance from pcoa where alias = 'PETC' or alias = 'CIN')), '    Accounts Payable $ ' || sum((select balance from pcoa where alias = 'AP')); 
select '    Accounts Receivable $ ' || sum((select balance from pcoa where alias = 'AR')), '    Taxes Payable $ ' || sum((select balance from pcoa where alias = 'SLTX')); 
select ' ** Total Current Assets $ ' || sum((select balance from pcoa where alias = 'PETC' or alias = 'CIN' or alias = 'AR')), 
' ** Total Current Liabilities $ ' || sum((select balance from pcoa where alias = 'AP' or alias = 'SLTX')); 
select NULL;
.headers on
select NULL as 'Property Plant and Equipment',NULL as 'Owner''s Equity';
.headers off
select '    Land $ ' || sum((select balance from pcoa where alias = 'LAND')), '    Owner''s Captial $ ' || sum((select balance from pcoa where alias = 'OE' or alias = 'NP')); 
select '  Buildings $ ' || sum((select balance from pcoa where alias = 'BILD')), '    Retained Earnings $ ' || sum((select balance from pcoa where alias = 'RETE')); 
select '  Other Assets $ ' || sum((select balance from pcoa where alias = 'MIN' or alias = 'SUP' or alias = 'EQIP')),'    Total Owner''s Equity $ ' || sum((select balance from pcoa where alias = 'OE' or alias = 'NP' or alias = 'RETE')); 
select NULL;
select NULL;
select ' *** Total Assets $ ' || 
sum((select balance from pcoa 
where alias = 'PETC' or alias = 'CIN' or alias = 'AR' or alias = 'MIN'or alias = 'LAND' or alias = 'BILD' or alias = 'SUP' or alias = 'EQIP')), ' *** Total Liab & Owner''s Equity $ ' || sum((select balance from pcoa where alias = 'AP' or alias = 'SLTX' or alias = 'OE' or alias = 'NP' or alias = 'RETE')); 

.quit

 ' *** Total Liab & Owners Equity $ ' || sum((select balance from pcoa where alias = 'AP' or alias = 'SLTX' or alias = 'OE' or alias = 'NP' or alias = 'RETE')); 

.headers on
select NULL as 'Property Plant and Equipment',NULL as 'Total Liabilities';
.headers off
select '    Land $ ' || sum((select balance from pcoa where alias = 'LAND')), 
'    $ ' || sum((select balance from pcoa where alias = 'AP' or alias = 'SLTX')); 

select '  Buildings $ ' || sum((select balance from pcoa where alias = 'BILD')), '`'; 


select NULL as 'Asset Accounts',NULL as 'Liability Accounts';
select '<html> <body background=grafics\akibak1.jpg>';
select '<center><img src=grafics\biorythm.ico width=25><br><b><font size=4 face=tahoma>Balance Sheet</b></font><br><b>as of: ' || current_timestamp || '</b></center>';
select NULL, '<table width=100%>';
.headers off

select strftime("%m-%d-%Y", 'now') as Balance Sheet as of: ';
select NULL as 'Property Plant and Equipment',NULL as 'Owners Equity';
.headers off
select '    Land $ ' || sum((select balance from pcoa where alias = 'LAND')), 
'  Capital $ ' || sum((select balance from pcoa where alias = 'OE')); 

select '  Buildings $ ' || sum((select balance from pcoa where alias = 'BILD')), '`', 
'  Net Profit $ ' || sum((select balance from pcoa where alias = 'NP')); 





set qr = ('Date: ' || strftime("%m-%d-%Y", 'now'));
select  ('Date: ' || strftime("%m-%d-%Y", 'now'));
, NULL, NULL, 'Time: ' || strftime("%h:%m", 'now')


select name as 'Account Name', acctno as 'Account Number', 
type as 'Account Type', alias as 'Alias', debit as 'Debit Amount', 
credit as 'Credit Amount', balance as 'Account Balance', 
parent as 'Parent Account'  from pcoa 
where active like '%yes%' 
order by acctno, name group by 
;