data\pimsdat.db3
.headers on
.mode column
select type as 'Account Type', name as 'Account Name', acctno as 'Account Number', 
  (select name from pcoa where parent like alias) as 'Parent Account', debit as 'Debit Amount', credit as 'Credit Amount',
  balance as 'Balance' from pcoa where active like '%yes%' order by type;
.headers off
select '`';
.headers on
select '`' as 'Asset Accounts';
select sum(debit) as 'Debit Amount', sum(credit) as 'Credit Amount', sum(balance) as 'Account Balance' 
  from pcoa where active like '%yes%' and type like '%asset%';

.headers off
select '`';
.headers on
select '`' as 'Liability Accounts';
select sum(debit) as 'Debit Amount', sum(credit) as 'Credit Amount', sum(balance) as 'Account Balance' 
  from pcoa where active like '%yes%' and type like '%liability%';

.headers off
select '`';
.headers on
select '`' as 'Equity Accounts';
select sum(debit) as 'Debit Amount', sum(credit) as 'Credit Amount', sum(balance) as 'Account Balance' 
  from pcoa where active like '%yes%' and type like '%equity%';

.headers off
select '`';
.headers on
select '`' as 'Revenue Accounts';
select sum(debit) as 'Debit Amount', sum(credit) as 'Credit Amount', sum(balance) as 'Account Balance' 
  from pcoa where active like '%yes%' and type like '%revenue%';

.headers off
select '`';
.headers on
select '`' as 'Expense Accounts';
select sum(debit) as 'Debit Amount', sum(credit) as 'Credit Amount', sum(balance) as 'Account Balance' 
  from pcoa where active like '%yes%' and type like '%expense%';




.quit

data\dmdat.db3


select (select name from pcoa where type = 'asset') as 'Asset Accts', (select name from pcoa where type = 'liability') as 'Liability Accts';
select name  as 'Asset Accts', name as 'Liability Accts' from pcoa where type like 'liability' or type like 'asset';

select (select name from pcoa where type = 'asset') as 'Asset Accts',  (select name from pcoa where type = 'liability') as 'Liability Accts';
select (select sum(amount) from pcoa where type = 'asset') as 'Asset Total', (select sum(amount) from pcoa where type = 'liability') as 'Liability Total';

select type as 'Account Type', name as 'Account Name', acctno as 'Account Number', 
  (select name from pcoa where parent like alias) as 'Parent Account', debit as 'Debit Amount', credit as 'Credit Amount',
  balance as 'Balance' from pcoa where active like '%yes%') order by type;
 
    (select name from pcoa where type = 'liability') as 'Liability Accounts',
    (select name from pcoa where type = 'equity') as 'Equity Accounts',
    (select name from pcoa where type = 'revenue') as 'Revenue Account',
    (select name from pcoa where type = 'Expense') as 'Expense Account' from pcoa;


